<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++ Members: Show All Members: Filtered Members: Filtered Members: Filtered

Berkeley DB .NET API Documentation
HashStats Members
HashStats Class Methods Properties See Also Send Feedback

The HashStats type exposes the following members.

# Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| ToString | Returns a String that represents the current Object. (Inherited from Object.)

# Properties

| Name | Description
--- | --- | ---
| BigPages | Number of big key/data pages.
| BigPagesFreeBytes | Bytes free on big item pages.
| BucketPagesFreeBytes | Bytes free on bucket pages.
| DuplicatePages | Number of duplicate pages.
| DuplicatePagesFreeBytes | Bytes free on duplicate pages.
| FillFactor | Fill factor specified at create.
| FreePages | Pages on the free list.
| MagicNumber | Magic number.
| MetadataFlags | Metadata flags.
| nBlobRecords | Deprecated. Replaced by nExternalFiles.
| nData | Number of data items.
| nExternalFiles | Number of external file records.
| nHashBuckets | Number of hash buckets.
| nKeys | Number of unique keys.
| nPages | Page count.
| OverflowPages | Number of overflow pages.
| OverflowPagesFreeBytes | Bytes free on overflow pages.
| PageSize | Page size.
| Version | Version number.

# See Also

HashStats Class
BerkeleyDB Namespace